<ui:UiBinder xmlns:ui='urn:ui:com.google.gwt.uibinder'
             xmlns:g='urn:import:com.google.gwt.user.client.ui'>


    <ui:style>

        .container {
            margin: 20px;
        }

        .rotator {
            margin: 50px 0 0 20px;
        }

        .content {
            margin-left: 20px;
        }

        .treeContainer {
            float: left;
            width: 280px;
            position: absolute;
        }

        .listConteiner {
            float: left;
            padding-left: 15px;
            border-left: 1px solid gray;
            margin-left: 260px;
        }

        .tableContainer {
            margin-top: 120px;
        }

        .header {
            /*margin-top: 400px;*/
            position: fixed;
            left: 296px;
        }

        .textbox{
            height: 30px;
            margin: 5px;
        }

        .formContainer {
            margin: auto;
        }

        .formContainer table th {
            text-align: right;
            font-size: 12px;
        }

        .popup {
            margin-top: auto;
            top: 0;
            margin-top: 130px;
        }




    </ui:style>


    <g:HTMLPanel styleName="{style.content}">

        <g:FormPanel ui:field="formPanel" method="post">

            <g:FlowPanel styleName="{style.formContainer}">
                <g:HTMLPanel>
                    <div class="modal {style.popup}">
                        <div class="modal-header">
                            <h3>Вход</h3>
                        </div>
                        <div class="modal-body">
                            <g:FlowPanel styleName="alert alert-error" visible="false" ui:field="alert">
                                <g:InlineHTML>Неверный логин или пароль</g:InlineHTML>
                            </g:FlowPanel>
                            <table>
                                <tr>
                                    <th>
                                        Логин
                                    </th>
                                    <td>
                                        <g:TextBox ui:field="login" styleName="{style.textbox}"/>
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        Пароль
                                    </th>
                                    <td>
                                        <g:PasswordTextBox ui:field="password" styleName="{style.textbox}"/>
                                    </td>
                                </tr>
                            </table>
                        </div>
                        <div class="modal-footer">
                            <g:SubmitButton ui:field="okBtn" styleName="btn btn-primary">Войти</g:SubmitButton>
                        </div>
                    </div>


                </g:HTMLPanel>
            </g:FlowPanel>

        </g:FormPanel>

    </g:HTMLPanel>


</ui:UiBinder>